%define anolis_release 1
%global srcname remoto

Name:           python-remoto
Version:        1.2.1
Release:        %{anolis_release}%{?dist}
Summary:        Execute remote commands or processes

License:        MIT
URL:            https://github.com/alfredodeza/remoto

Source0:        %pypi_source

Patch0001: 0001-use-unittest.mock-on-py3.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-execnet >= 1.2.0
BuildRequires:  python3-setuptools

%global _description\
Execute remote commands or processes.

%description %_description

%package -n python3-%{srcname}
Summary:        Execute remote commands or processes
Requires:       python3
Requires:       python3-execnet >= 1.2.0

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%{py3_build}

%install
%{py3_install}

%check
py.test-%{python3_version} -v remoto/tests

%files -n python3-%{srcname}
%{python3_sitelib}/*
%license LICENSE
%doc README.rst


%changelog
* Tue Jun 20 2023 mabofu <dev16302@linx-info.com> - 1.2.1-1
- Init package from upstream